oci_field_scale
oci_field_type_raw
OCI8 Functions
PHP Manual

# oci_field_size

(PHP 5, PECL OCI8 >= 1.1.0)

oci_field_size — Returns field's size

### Description

int oci_field_size ( resource `$statement` , mixed `$field` )

Returns the size of a `field`.

### Parameters

`statement`

  A valid OCI statement identifier.

`field`

  Can be the field's index (1-based) or name.

### Return Values

Returns the size of a `field` in bytes, or `FALSE` on errors.

### Examples

Example #1 oci_field_size() example

`<?php
$conn = oci_connect("scott", "tiger");
$stmt = oci_parse($conn, "SELECT * FROM emp");
oci_execute($stmt);
echo "<table border=\"1\">";
echo "<tr>";
echo "<th>Name</th>";
echo "<th>Type</th>";
echo "<th>Length</th>";
echo "</tr>";
$ncols = oci_num_fields($stmt);
for ($i = 1; $i <= $ncols; $i++) {
$column_name = oci_field_name($stmt, $i);
$column_type = oci_field_type($stmt, $i);
$column_size = oci_field_size($stmt, $i);
echo "<tr>";
echo "<td>$column_name</td>";
echo "<td>$column_type</td>";
echo "<td>$column_size</td>";
echo "</tr>";
}
echo "</table>";
oci_free_statement($stmt);
oci_close($conn);
?>`

### Notes

> Note: In PHP versions before 5.0.0 you must use ocicolumnsize() instead. This name still can be used, it was left as alias of oci_field_size() for downwards compatability. This, however, is deprecated and not recommended.

### See Also

- oci_num_fields() - Returns the number of result columns in a statement
- oci_field_name() - Returns the name of a field from the statement

oci_field_scale
oci_field_type_raw
OCI8 Functions
PHP Manual